### Hierarchy

- AbstractDropdownView

### Implemented by

- DropdownList

## Index

### Inputs

- items

### Outputs

- blurIntent
- select

### Properties

- blurIntent
- select
- size
- type

### Accessors

- items

### Methods

- filterBy
- getCurrentElement
- getCurrentItem
- getListItems
- getNextElement
- getNextItem
- getPrevElement
- getPrevItem
- getSelected
- hasNextElement
- hasPrevElement
- initFocus
- onItemsReady
- propagateSelected
- reorderSelected

## Properties

### blurIntent

@Output()
blurIntent: EventEmitter<any>

- Defined in src/dropdown/abstract-dropdown-view.class.ts:38

### select

@Output()
select: EventEmitter<object | ListItem[]>

- Defined in src/dropdown/abstract-dropdown-view.class.ts:27

### size

size: "sm" | "md" | "xl" = "md"

- Defined in src/dropdown/abstract-dropdown-view.class.ts:49

### type

type: "single" | "multi" = "single"

- Defined in src/dropdown/abstract-dropdown-view.class.ts:43

## Accessors

### items

@Input()
items:

- Defined in src/dropdown/abstract-dropdown-view.class.ts:21
- Defined in src/dropdown/abstract-dropdown-view.class.ts:23

## Methods

### filterBy

- filterBy(value: string): void

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:98

  #### Parameters

  - ##### value: string

  #### Returns void

### getCurrentElement

- getCurrentElement(): HTMLElement

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:85

  #### Returns HTMLElement

### getCurrentItem

- getCurrentItem(): ListItem

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:81

  #### Returns ListItem

### getListItems

- getListItems(): Array<ListItem>

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:89

  #### Returns Array<ListItem>

### getNextElement

- getNextElement(): HTMLElement

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:61

  #### Returns HTMLElement

### getNextItem

- getNextItem(): ListItem

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:53

  #### Returns ListItem

### getPrevElement

- getPrevElement(): HTMLElement

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:73

  #### Returns HTMLElement

### getPrevItem

- getPrevItem(): ListItem

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:65

  #### Returns ListItem

### getSelected

- getSelected(): ListItem[]

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:77

  #### Returns ListItem[]

### hasNextElement

- hasNextElement(): boolean

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:57

  #### Returns boolean

### hasPrevElement

- hasPrevElement(): boolean

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:69

  #### Returns boolean

### initFocus

- initFocus(): void

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:103

  #### Returns void

### onItemsReady

- onItemsReady(subcription: function): void

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:107

  #### Parameters

  - ##### subcription: function

    - - (): void

      - #### Returns void

### propagateSelected

- propagateSelected(value: Array<ListItem>): void

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:93

  #### Parameters

  - ##### value: Array<ListItem>

  #### Returns void

### reorderSelected

- reorderSelected(moveFocus: boolean): void

- - Defined in src/dropdown/abstract-dropdown-view.class.ts:111

  #### Parameters

  - ##### Optional moveFocus: boolean

  #### Returns void

Generated using TypeDoc